summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorXenom2015-06-15 22:39:36 +0200
committerXenom2015-06-15 22:39:36 +0200
commitdfeac34f3d5dc1eb1dff3e40a757f35544f28c9e (patch)
tree591ff327f96a933a900d283baeda33eb37612692
downloadaur-gambatte-qt-git.tar.gz
Initial commit
-rw-r--r--.SRCINFO25
-rw-r--r--PKGBUILD47
-rw-r--r--compil.patch20
-rw-r--r--gambatte-qt-git.desktop7
4 files changed, 99 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..108343b539d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = gambatte-qt-git
+ pkgdesc = A Qt4 frontend for the Gambatte emulator
+ pkgver = f3c548d
+ pkgrel = 1
+ url = https://github.com/sinamas/gambatte
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ makedepends = make
+ depends = qt4
+ depends = libgl
+ depends = alsa-lib
+ depends = gambatte-git
+ provides = gambatte-qt
+ conflicts = gambatte-qt
+ source = git://github.com/sinamas/gambatte.git
+ source = gambatte-qt-git.desktop
+ source = compil.patch
+ md5sums = SKIP
+ md5sums = d74be9dbb91c6b517099f5f1dc46c88e
+ md5sums = e2439ad2809741d89092e8a48d7ef549
+
+pkgname = gambatte-qt-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8033af3e266
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Cedric Mathieu <me.xenom[at]gmail.com>
+
+pkgname=gambatte-qt-git
+_gitname="gambatte"
+pkgver=f3c548d
+pkgrel=1
+pkgdesc="A Qt4 frontend for the Gambatte emulator"
+arch=('i686' 'x86_64')
+url="https://github.com/sinamas/gambatte"
+license=('GPL')
+depends=('qt4' 'libgl' 'alsa-lib' 'gambatte-git')
+optdepends=()
+makedepends=('git' 'make')
+provides=('gambatte-qt')
+conflicts=('gambatte-qt')
+source=('git://github.com/sinamas/gambatte.git'
+ $pkgname.desktop
+ compil.patch)
+md5sums=('SKIP'
+ 'd74be9dbb91c6b517099f5f1dc46c88e'
+ 'e2439ad2809741d89092e8a48d7ef549')
+
+pkgver() {
+ cd "$_gitname"
+ git describe --always | sed 's|-|.|g'
+}
+
+build() {
+ cd "$_gitname"
+
+ cd "gambatte_qt/"
+
+ patch -p1 < ../../../compil.patch
+
+ qmake-qt4 gambatte_qt.pro
+ make || return 1
+}
+
+package() {
+
+ cd "$_gitname"
+
+ install -Dm755 gambatte_qt/bin/gambatte_qt "$pkgdir"/usr/bin/gambatte-qt
+ install -Dm644 "$srcdir"/$pkgname.desktop "$pkgdir"/usr/share/applications/$pkgname.desktop
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/compil.patch b/compil.patch
new file mode 100644
index 00000000000..a8d5c4ef1c6
--- /dev/null
+++ b/compil.patch
@@ -0,0 +1,20 @@
+diff -crB gambatte_qt/src/framework/framework.pro gambatte_qt.patched/src/framework/framework.pro
+*** gambatte_qt/src/framework/framework.pro 2012-01-20 20:17:18.000000000 +0100
+--- gambatte_qt.patched/src/framework/framework.pro 2012-01-20 20:04:45.000000000 +0100
+***************
+*** 149,155 ****
+ framework/src/fullmodetogglers/xrandr12toggler.h #\
+ # framework/src/fullmodetogglers/xf86vidmodetoggler.h
+ LIBS += -L/usr/X11R6/lib \
+! -Wl,--as-needed \
+ -lX11 \
+ -lXext \
+ -lXv \
+--- 149,155 ----
+ framework/src/fullmodetogglers/xrandr12toggler.h #\
+ # framework/src/fullmodetogglers/xf86vidmodetoggler.h
+ LIBS += -L/usr/X11R6/lib \
+! -ldl \
+ -lX11 \
+ -lXext \
+ -lXv \
diff --git a/gambatte-qt-git.desktop b/gambatte-qt-git.desktop
new file mode 100644
index 00000000000..5fbd573c4b6
--- /dev/null
+++ b/gambatte-qt-git.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Gambatte
+Exec=gambatte-qt
+Icon=gambatte
+Type=Application
+Comment=Game Boy Color emulator
+Categories=Emulator;Game;